de.vc.jfo.renderer

## Class XSLFormatter3Renderer

- java.lang.Object
- - de.vc.jfo.renderer.Renderer
  - - de.vc.jfo.renderer.XSLFormatter3Renderer

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable

      public class XSLFormatter3Renderer
      extends Renderer

  Renderer that use XSL Formatter by Antenna House to transform XSL-FO documents. For more information about XSL Formatter visit http://www.antennahouse.com/
  Currently supported output formats: PDF.
  See Also:
    `OutputFormat.PDF`

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.renderer.Renderer

      `DEFAULT_PRIORITY, XML_ATTR_CLASS, XML_ATTR_CONFIG_EDITOR, XML_ATTR_CONFIG_FILE, XML_ATTR_NAME, XML_ATTR_PRIORTIY, XML_ATTR_RESET_IMAGE_CACHE, XML_ATTR_USE_JFO_LOGGING, XML_NODE_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFormatter3Renderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doRender(java.io.InputStream foStream, java.io.OutputStream outStream, OutputFormat outputFormat)` Do render a FO-stream (Stream is in XML, not in XSL).
    `java.lang.String` | `getDisplayName()` Gets the display name of renderer that can be shown in GUIs.
    `RTF2FOCompatibilityMode` | `getPreferredRTF2FOCompatibilityMode()` AXF_3 is returned.
    `OutputFormat[]` | `getSupportedOutputFormats()` Gets an array of all supported output formats.
    `boolean` | `isReady()` Returns true if class `jp.co.antenna.XfoJavaCtl.XfoObj` is in classpath.

    - ### Methods inherited from class de.vc.jfo.renderer.Renderer

      `afterRendering, beforeRendering, canRender, compareTo, configure, copy, createPrinterJob, doRender, equals, getConfigFile, getPrinterJobFactory, getPriority, isUseJFOLogging, logUnsupportedFormat, reconfigure, render, render, render, render, resolveConfig, setConfigFile, setPrinterJobFactory, setPriority, setUseJFOLogging, supportsFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLFormatter3Renderer

          public XSLFormatter3Renderer()

  - ### Method Detail

    - #### getPreferredRTF2FOCompatibilityMode

          public RTF2FOCompatibilityMode getPreferredRTF2FOCompatibilityMode()

      AXF_3 is returned.
      Overrides:
        `getPreferredRTF2FOCompatibilityMode` in class `Renderer`
      Returns:
        RTF2FOCompatibilityMode.AXF_3

    - #### getSupportedOutputFormats

          public OutputFormat[] getSupportedOutputFormats()

      Description copied from class: `Renderer`
      Gets an array of all supported output formats.
      Specified by:
        `getSupportedOutputFormats` in class `Renderer`
      Returns:
        Array of output formats (see OUTPUT_*).

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from class: `Renderer`
      Gets the display name of renderer that can be shown in GUIs.
      Specified by:
        `getDisplayName` in class `Renderer`
      Returns:
        Display name.

    - #### isReady

          public boolean isReady()

      Returns true if class `jp.co.antenna.XfoJavaCtl.XfoObj` is in classpath.
      Overrides:
        `isReady` in class `Renderer`
      Returns:
        boolean

    - #### doRender

          protected void doRender(java.io.InputStream foStream,
                      java.io.OutputStream outStream,
                      OutputFormat outputFormat)
                           throws java.lang.Exception

      Description copied from class: `Renderer`
      Do render a FO-stream (Stream is in XML, not in XSL). You don't have to close the output-stream.
      Specified by:
        `doRender` in class `Renderer`
      Parameters:
        `foStream` - FO-stream.
        `outStream` - Output stream, where rendered FO should be stored into.
        `outputFormat` - Outputformat (see OUTPUT_*).
      Throws:
        `java.lang.Exception` - Throw an exception in necessary.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.